{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.global.gpu;
  gui = with cfg; enable && session;
in mkIf gui {
  programs.regreet = {
    enable = mkDefault true;
    cageArgs = [ "-s" "-d" "-m" "last" ];
    settings = {
      background.path = mkDefault ../../share/54345906_p0.jpg;
      background.fit = "Fill";
      GTK = {
        application_prefer_dark_theme = mkDefault true;
        cursor_theme_name = mkDefault "Bibata-Modern-Classic";
        icon_theme_name = mkDefault "Papirus-Dark";
        theme_name = mkDefault "WhiteSur-Dark";
      };
    };
  };

  environment.persistence."/nix/persist/fhs".directories = [ "/var/cache/regreet" ];
}
