{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.util;
in {
  home.packages = with pkgs; [
    pv file wget e2fsprogs
  ] ++ optionals (!cfg.minimal) [
    tio mbuffer
    lsscsi zip unzip
    nix-index dnsutils whois
    pciutils usbutils nvme-cli
  ] ++ optionals config.passthrough.gui [
    gtk-engine-murrine
    gnome-themes-extra
    xfce.thunar gimp

    mission-planner
    betaflight-configurator
    inav-configurator
    inav-blackbox-tools
    (blhelisuite32.override { workdir = "${config.home.homeDirectory}/.blhelisuite32"; })
    expresslrs-configurator
  ];

  wayland.windowManager.sway.config.window.commands = mkIf config.passthrough.gui [
    { criteria.class = "BLHeliSuite32xl"; command = "floating enable"; }
    { criteria.app_id = "thunar"; command = "floating enable"; }
  ];
}
