{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.vscode;
in mkIf cfg.enable {
  programs.vscode = {
    enable = true;
    mutableExtensionsDir = false;
    enableUpdateCheck = false;
    enableExtensionUpdateCheck = false;
    package = pkgs.vscodium;
    extensions = with pkgs.vscode-extensions; [
      catppuccin.catppuccin-vsc catppuccin.catppuccin-vsc-icons
      bbenoist.nix golang.go rust-lang.rust-analyzer
    ];
    userSettings = {
      "workbench.colorTheme" = "Catppuccin Frappé";
      "workbench.iconTheme" = "catppuccin-frappe";
      "[nix]"."editor.tabSize" = 2;
    };
  };
}
